Package edu.wisc.game.reflect

## Annotation Type Display

-     @Retention(RUNTIME)
      @Target(FIELD)
      public @interface Display

  An annotation describing how, if at all, a particular data field (content of a SQL database column) is to be displayed in HTML tables and data entry forms etc.

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element | Description
    --- | --- | ---
    `String` | `alt` | If not null and not empty, this text will be displayed instead of the field's name in entry tables etc.
    `boolean` | `digest` | If true, the field actually stores the MD5-digest of the relevant value.
    `boolean` | `editable` |
    `String` | `link` |
    `double` | `order` |
    `boolean` | `payment` | This flag is set true for those fields that must be verified when sending a payment
    `boolean` | `rp` | This flag is set true for those fields that can be supplied by a referrer patient.
    `String` | `text` | If not null and not empty, this text will be displayed in parnethesis after the field's name in entry tables etc.

- - ### Element Detail

    - #### order

          double order

      Default:
        0.0

  - - #### editable

          boolean editable

      Default:
        true

  - - #### rp

          boolean rp

      This flag is set true for those fields that can be supplied by a referrer patient.
      Default:
        false

  - - #### payment

          boolean payment

      This flag is set true for those fields that must be verified when sending a payment
      Default:
        false

  - - #### text

          String text

      If not null and not empty, this text will be displayed in parnethesis after the field's name in entry tables etc.
      Default:
        ""

  - - #### alt

          String alt

      If not null and not empty, this text will be displayed instead of the field's name in entry tables etc.
      Default:
        ""

  - - #### digest

          boolean digest

      If true, the field actually stores the MD5-digest of the relevant value. This is typically used to store users' passwords. Moreover, if a null or empy string is entered, we'll store null.
      Default:
        false

  - - #### link

          String link

      Default:
        ""